/*
 * Copyright (c) 2008-2017 Haulmont.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.haulmont.cuba.core.entity;

import com.haulmont.chile.core.annotations.MetaClass;
import com.haulmont.cuba.core.entity.annotation.UnavailableInSecurityConstraints;

import javax.persistence.*;

/**
 * Base class for entities with Integer Identity identifier.
 */
@MappedSuperclass
@MetaClass(name = "sys$BaseIntIdentityIdEntity")
@UnavailableInSecurityConstraints
public abstract class BaseIntIdentityIdEntity extends BaseDbGeneratedIdEntity<Integer> {

    private static final long serialVersionUID = 3083677558630811496L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "ID")
    protected Integer id;

    @Override
    protected void setDbGeneratedId(Integer id) {
        this.id = id;
    }

    @Override
    protected Integer getDbGeneratedId() {
        return id;
    }
}