/*
 * Copyright (c) 2008-2016 Haulmont.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

package com.haulmont.cuba.core.sys.jpql;

import com.haulmont.cuba.core.sys.jpql.model.Attribute;

public enum InferredType {
    Collection {
        @Override
        public boolean matches(Attribute attribute) {
            return attribute.isCollection() && attribute.isEntityReferenceAttribute();
        }
    },
    Entity {
        @Override
        public boolean matches(Attribute attribute) {
            return !attribute.isCollection() && attribute.isEntityReferenceAttribute();
        }
    },
    Date {
        @Override
        public boolean matches(Attribute attribute) {
            return java.util.Date.class.isAssignableFrom(attribute.getSimpleType());
        }
    },
    Any {
        @Override
        public boolean matches(Attribute attribute) {
            return true;
        }
    };

    public abstract boolean matches(Attribute attribute);
}